Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step
Class StepStatus

    java.lang.Object
      org.pentaho.di.trans.step.StepStatus

    public class StepStatus

extends Object

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`StepStatus(BaseStep baseStep)`
`StepStatus(Node node)`

Method Summary
`StepStatus` | `fromXML(String xml)`
`int` | `getCopy()`
`long` | `getErrors()`
`String` | `getHTMLTableRow()`
`long` | `getLinesInput()`
`long` | `getLinesOutput()`
`long` | `getLinesRead()`
`long` | `getLinesRejected()`
`long` | `getLinesUpdated()`
`long` | `getLinesWritten()`
`String` | `getPriority()`
`double` | `getSeconds()`
`String` | `getSpeed()`
`String[]` | `getSpoonSlaveLogFields()`
`String` | `getStatusDescription()`
`String` | `getStepname()`
`String[]` | `getTransLogFields()`
`String` | `getXML()`
`boolean` | `isPaused()`
`boolean` | `isStopped()`
`void` | `setCopy(int copy)`
`void` | `setErrors(long errors)`
`void` | `setLinesInput(long linesInput)`
`void` | `setLinesOutput(long linesOutput)`
`void` | `setLinesRead(long linesRead)`
`void` | `setLinesRejected(long linesRejected)`
`void` | `setLinesUpdated(long linesUpdated)`
`void` | `setLinesWritten(long linesWritten)`
`void` | `setPaused(boolean paused)`
`void` | `setPriority(String priority)`
`void` | `setSeconds(double seconds)`
`void` | `setSpeed(String speed)`
`void` | `setStatusDescription(String statusDescription)`
`void` | `setStepname(String stepname)`
`void` | `setStopped(boolean stopped)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### StepStatus

    public StepStatus(BaseStep baseStep)

### StepStatus

    public StepStatus(Node node)

Method Detail

### getHTMLTableRow

    public String getHTMLTableRow()

### getXML

    public String getXML()

### fromXML

    public StepStatus fromXML(String xml)
                       throws org.pentaho.di.core.exception.KettleXMLException

  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### getTransLogFields

    public String[] getTransLogFields()

### getSpoonSlaveLogFields

    public String[] getSpoonSlaveLogFields()

### getCopy

    public int getCopy()

  Returns:
    the copy

### setCopy

    public void setCopy(int copy)

  Parameters:
    `copy` - the copy to set

### getErrors

    public long getErrors()

  Returns:
    the errors

### setErrors

    public void setErrors(long errors)

  Parameters:
    `errors` - the errors to set

### getLinesInput

    public long getLinesInput()

  Returns:
    the linesInput

### setLinesInput

    public void setLinesInput(long linesInput)

  Parameters:
    `linesInput` - the linesInput to set

### getLinesOutput

    public long getLinesOutput()

  Returns:
    the linesOutput

### setLinesOutput

    public void setLinesOutput(long linesOutput)

  Parameters:
    `linesOutput` - the linesOutput to set

### getLinesRead

    public long getLinesRead()

  Returns:
    the linesRead

### setLinesRead

    public void setLinesRead(long linesRead)

  Parameters:
    `linesRead` - the linesRead to set

### getLinesUpdated

    public long getLinesUpdated()

  Returns:
    the linesUpdated

### setLinesUpdated

    public void setLinesUpdated(long linesUpdated)

  Parameters:
    `linesUpdated` - the linesUpdated to set

### getLinesWritten

    public long getLinesWritten()

  Returns:
    the linesWritten

### setLinesWritten

    public void setLinesWritten(long linesWritten)

  Parameters:
    `linesWritten` - the linesWritten to set

### getPriority

    public String getPriority()

  Returns:
    the priority

### setPriority

    public void setPriority(String priority)

  Parameters:
    `priority` - the priority to set

### getSeconds

    public double getSeconds()

  Returns:
    the seconds

### setSeconds

    public void setSeconds(double seconds)

  Parameters:
    `seconds` - the seconds to set

### getSpeed

    public String getSpeed()

  Returns:
    the speed

### setSpeed

    public void setSpeed(String speed)

  Parameters:
    `speed` - the speed to set

### getStatusDescription

    public String getStatusDescription()

  Returns:
    the statusDescription

### setStatusDescription

    public void setStatusDescription(String statusDescription)

  Parameters:
    `statusDescription` - the statusDescription to set

### getStepname

    public String getStepname()

  Returns:
    the stepname

### setStepname

    public void setStepname(String stepname)

  Parameters:
    `stepname` - the stepname to set

### getLinesRejected

    public long getLinesRejected()

  Returns:
    the linesRejected

### setLinesRejected

    public void setLinesRejected(long linesRejected)

  Parameters:
    `linesRejected` - the linesRejected to set

### isStopped

    public boolean isStopped()

  Returns:
    the stopped

### setStopped

    public void setStopped(boolean stopped)

  Parameters:
    `stopped` - the stopped to set

### isPaused

    public boolean isPaused()

  Returns:
    the paused

### setPaused

    public void setPaused(boolean paused)

  Parameters:
    `paused` - the paused to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD